Subject: bug#61188: 30.0.50; color-lighten-name seems not to work

From: "Mark Bestley" <[email-masked]>
Date: Wed, 01 Feb 2023 14:11:13 +0000

On Wed, 1 Feb 2023, at 13:21, Eli Zaretskii wrote:
>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Tue, 31 Jan 2023 21:34:24 +0100
>> 
>> On Tue, 31 Jan 2023 20:39:45 +0200 Eli Zaretskii <[email-masked]> wrote:
>> 
>> > If all the tests in color-tests.el pass after the change, please
>> > install on the release branch.
>> 
>> With that patch one test now fails: the one testing (color-lighten-name
>> "Black" 100).  This is because the tests were changed to conform to the
>> code change made in response to bug#54514.  So it seems there is
>> disagreement about what the result of (color-lighten-name "Black" 100)
>> should be.
>
> So I guess the current behavior is the intended one, and we should
> close this bug as wontfix?

No - I think the way 28.2 worked was correct. (for impact see highlight-indent.el which now does not work with a black background )

What is the expected value of (color-lighten-name  "Black" 100) as I don't know where that test is. I would think the test is wrong. Did it run for 28.2?

Surely lightening Black fully should give white

Also look at color-lighten-name  "Black" 50) in 28.2 it is a gray.

In 30 olor-lighten-name  "Black" of any positive value gives Black - surely this cannot be correct.

-- 
Mark